Page 2 of 2 FirstFirst 12
Results 11 to 15 of 15

Thread: openSUSE 12.3: PackageKit is blocking zypper

  1. #11
    Join Date
    Jun 2008
    Location
    Auckland, NZ
    Posts
    20,399
    Blog Entries
    1

    Default Re: openSUSE 12.3: PackageKit is blocking zypper

    Ah well, the Gnome Updater Application then...

  2. #12
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,890
    Blog Entries
    15

    Default Re: openSUSE 12.3: PackageKit is blocking zypper

    On Sun 15 Sep 2013 08:06:01 PM CDT, AkiroSkullfield wrote:


    Hello everyone... I have just installed openSUSE 12.3 Gnome 3 on my
    laptop and I have one problem, I connected to the Internet and all that,
    now, I want to refresh my Repositories...
    I opened Terminal and typed this command down "su" then I entered my
    password and then "zypper ref" and I clicked enter it said this:

    "zypper ref
    PackageKit is blocking zypper. This happens if you have an updater
    applet or other software management application using PackageKit
    running.
    Tell PackageKit to quit? [yes/no] (no):"

    I have been always getting this and it's so annoying... I shut down my
    computer and turn it on and same time, I left the computer for half an
    hour and came back to it and same thing and I restarted my computer and
    still the same... What should I do now? How can I turn this updater or
    whatever it is down?


    Hi
    Press alt+f2 and enter gnome-session-properties, scroll down the list
    for the updater and uncheck the box.

    --
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    openSUSE 12.3 (x86_64) GNOME 3.8.4 Kernel 3.7.10-1.16-desktop
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!


  3. #13
    Join Date
    May 2010
    Location
    Space Colony Lagrange Point 22° à, 77° Ƅ, 56° ɤ, 99° ɜ
    Posts
    3,166

    Default Re: openSUSE 12.3: PackageKit is blocking zypper

    AkiroSkullfield wrote:
    >
    > Hello everyone... I have just installed openSUSE 12.3 Gnome 3 on my
    > laptop and I have one problem, I connected to the Internet and all that,
    > now, I want to refresh my Repositories...
    > I opened Terminal and typed this command down "su" then I entered my
    > password and then "zypper ref" and I clicked enter it said this:
    >
    > "zypper ref
    > PackageKit is blocking zypper. This happens if you have an updater
    > applet or other software management application using PackageKit
    > running.
    > Tell PackageKit to quit? [yes/no] (no):"
    >
    > I have been always getting this and it's so annoying... I shut down my
    > computer and turn it on and same time, I left the computer for half an
    > hour and came back to it and same thing and I restarted my computer and
    > still the same... What should I do now? How can I turn this updater or
    > whatever it is down?
    >
    >

    on GNOME left win key ==> Activities ==> "type in" software settings
    ==>in software update preferences==> Change both drop down boxes to "never"

    --
    GNOME 3.6.2
    openSUSE Release 12.3 (Dartmouth) 64-bit
    Kernel Linux 3.7.10-1.16-desktop

  4. #14

    Default Re: openSUSE 12.3: PackageKit is blocking zypper

    Quote Originally Posted by consused View Post
    Why would the OP be using Apper on Gnome 3? I suggest you read the first post again, carefully.
    Ah, apologies.

  5. #15

    Default Re: openSUSE 12.3: PackageKit is blocking zypper

    Not 100 % sure, but same problem appears, when steam is downloading a game.
    Could be a coincidence, though.

Page 2 of 2 FirstFirst 12

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •